import type { IWay } from "@/model/way"
import { apiPrefix } from "."


export const addEventListen = (plan:string, f:(data:IWay)=>void) => {
    if (!window.EventSource) {
        return null
    }
    console.info("addEventListen")
    let eventSource = new EventSource(`${apiPrefix}/plans/${plan}/sync`, {
        // // 设置重连时间
        // heartbeatTimeout: 60 * 60 * 1000,
        // // 添加token
        // headers: {
        //   'Token': `${state.token}`,
        // }
    })
    // 监听message事件  
    eventSource.onmessage = (event: MessageEvent) => {
        var message = JSON.parse(event.data);
        console.info("recieve an event ", event.type, message)
        switch (event.lastEventId) {
            case "0":
                console.info("this is an open message", message)
                break;
            case "1":
                console.info("this is a system message", message)
                let obj = message.data as IWay
                f(obj)
                break
        }

    }

    // 监听open事件  
    eventSource.onopen = (event: Event) => {
        // 连接成功后发送认证请求  
        console.info("connected", event)
    }

    // 监听error事件  
    eventSource.onerror = (event: Event) => {
        if (eventSource.readyState == EventSource.CLOSED) {
            console.log("SSE连接关闭");
        } else if (eventSource.readyState == EventSource.CONNECTING) {
            console.log("SSE正在重连");
            //重新设置token
            // state.eventSource.headers = {
            //   'Token': `${state.token}`,
            // };
        } else {
            console.log('error', event);
        }
    }
    console.info(eventSource)
    return eventSource
}